summaryrefslogtreecommitdiff
path: root/tests/misc/wc-files0.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/wc-files0.sh')
-rwxr-xr-xtests/misc/wc-files0.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/tests/misc/wc-files0.sh b/tests/misc/wc-files0.sh
index b6a204c1c..4562e6a4e 100755
--- a/tests/misc/wc-files0.sh
+++ b/tests/misc/wc-files0.sh
@@ -40,4 +40,12 @@ if test "$fail" = ''; then
compare exp out || fail=1
fi
+# Ensure file name containing new lines are output on a single line
+nlname='1
+2'
+touch "$nlname" || framework_failure_
+printf '%s\0' "$nlname" | wc --files0-from=- > out || fail=1
+printf '%s\n' "0 0 0 '1'$'\\n''2'" > exp || framework_failure_
+compare exp out || fail=1
+
Exit $fail